Skip to content

Midjourney 批量查询 ​

按任务 ID 列表批量查询。返回任务对象数组,字段与 单任务查询 基本一致,但通常不含 、、。

http
POST /mj/task/list-by-condition

请求头 ​

名称类型必填说明
string是Bearer Token,示例:
string是

请求体 ​

名称类型必填说明
array是任务 ID 列表

请求示例 ​

bash
curl -X POST https://octopusx.ai/mj/task/list-by-condition \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"ids":["1712158011464906"]}'

响应示例 ​

json
[
  {
    "id": "1712158011464906",
    "action": "IMAGINE",
    "prompt": "Cat",
    "promptEn": "Cat",
    "description": "Submit success",
    "submitTime": 1735689600000,
    "startTime": 1735689610000,
    "finishTime": 0,
    "imageUrl": "",
    "status": "IN_PROGRESS",
    "progress": "65%",
    "failReason": "",
    "buttons": null,
    "state": ""
  }
]

相关接口 ​